# DataExchange
TKXSBase
Interface

# Interface_CopyControl Class Reference

This deferred class describes the services required by
CopyTool to work. They are very simple and correspond
basically to the management of an indexed map.
But they can be provided by various classes which can
control a Transfer. Each Starting Entity have at most
one Result (Mapping one-one)
.

`#include <Interface_CopyControl.hxx>`

Inheritance diagram for Interface_CopyControl:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Clear ()=0
| Clears List of Copy Results. Gets Ready to begin another Copy Process. .
virtual Standard_EXPORT void | Bind (const Handle(Standard_Transient)&ent, const Handle(Standard_Transient)&res)=0
| Bind a Result to a Starting Entity identified by its Number .
virtual Standard_EXPORT Standard_Boolean | Search (const Handle(Standard_Transient)&ent, Handle(Standard_Transient)&res) const =0
| Searches for the Result bound to a Startingf Entity identified by its Number. If Found, returns True and fills <res> Else, returns False and nullifies <res> .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

virtual Standard_EXPORT void Interface_CopyControl::Bind | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Standard_Transient)& | res
| ) | `[pure virtual]`

| Implemented in Interface_CopyMap, and Transfer_DispatchControl.

virtual Standard_EXPORT void Interface_CopyControl::Clear | ( |  | ) | `[pure virtual]`

| Implemented in Interface_CopyMap, and Transfer_DispatchControl.

Standard_EXPORT const Interface_CopyControl::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in Interface_CopyMap, and Transfer_DispatchControl.

virtual Standard_EXPORT Standard_Boolean Interface_CopyControl::Search | ( | const Handle(Standard_Transient)& | ent,
|  | Handle(Standard_Transient)& | res
| ) | const`[pure virtual]`

| Implemented in Interface_CopyMap, and Transfer_DispatchControl.

The documentation for this class was generated from the following file:

- Interface_CopyControl.hxx